package com.ruoyi.ss.bonus.service;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.ss.bonus.domain.Bonus;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.storeStaff.domain.StoreStaffVO;
import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;

import java.util.List;

/**
 * @author wjh
 * 2024/8/20
 */
public interface BonusConverter {
    /**
     * 生产分成列表
     */
    List<Bonus> toPoList(SysDept platform, DeviceVO device, List<StoreStaffVO> staffList);

    /**
     * 旧订单转为分成明细
     */
    List<Bonus> toPo(TransactionBillVO bill);

}
